# coding: utf-8

"""
    VMware Aria Automation Assembler IaaS API

    IAAS API is a RESTful service, which allows users to execute provisioning related UI actions via an API.  This page describes the RESTful APIs for IAAS API. The APIs facilitate CRUD operations on the various resources and entities used throughout VMware Aria Automation Assembler(Cloud Accounts, Cloud zones, Computes, Mappings, etc.) and allows operations on them (creating a cloud account, patching a machine, creating image progile, etc.).  The APIs that list collections of resources also support OData like implementation. Below query params can be used across different IAAS API endpoints  Example: 1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.     ```/iaas/api/cloud-accounts?$orderby=name%20desc```  2. `$top` -  number of records you want to get.     ```/iaas/api/cloud-accounts?$top=20```  3. `$skip` -  number of records you want to skip.      ```/iaas/api/cloud-accounts?$skip=10```  4. `$select` - select a subset of properties to include in the response.        ```/project-service/api/projects?$top=10&$skip=2```  5. `$filter` -  filter the results by a specified predicate expression. Operators: eq, ne, and, or.\\     ```/iaas/api/cloud-accounts?$filter=name%20eq%20'ABC*'``` - name starts with 'ABC'\\     ```/iaas/api/cloud-accounts?$filter=name%20eq%20'*ABC*'``` - name contains 'ABC'\\     ```/iaas/api/cloud-accounts?$filter=name%20eq%20'*ABC'``` - name ends with 'ABC'\\     /iaas/api/projects and /iaas/api/deployments support different format for partial match:\\     ```/iaas/api/projects?$filter=startswith(name, 'ABC')``` - name starts with 'ABC'\\     ```/iaas/api/projects?$filter=substringof('ABC', name``` - name contains 'ABC'\\     ```/iaas/api/projects?$filter=endswith(name, 'ABC')``` - name ends with 'ABC'\\     ```/iaas/api/cloud-accounts?$filter=name%20ne%20'example-cloud-account'%20or%20customProperties.isExternal%20eq%20'false'```  6. `$count` -  flag which when specified, regardless of the assigned value, shows the total number of records. If the collection has a filter it shows the number of records matching the filter.\\     ```/iaas/api/cloud-accounts?$count=true```   # noqa: E501

    OpenAPI spec version: 2021-07-15
    Contact: sales@vmware.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class EventLog(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'event_log_type': 'str',
        'description': 'str',
        'updated_at': 'str',
        'id': 'str',
        'owner': 'str',
        'org_id': 'str'
    }

    attribute_map = {
        'event_log_type': 'eventLogType',
        'description': 'description',
        'updated_at': 'updatedAt',
        'id': 'id',
        'owner': 'owner',
        'org_id': 'orgId'
    }

    def __init__(self, event_log_type=None, description=None, updated_at=None, id=None, owner=None, org_id=None):  # noqa: E501
        """EventLog - a model defined in Swagger"""  # noqa: E501
        self._event_log_type = None
        self._description = None
        self._updated_at = None
        self._id = None
        self._owner = None
        self._org_id = None
        self.discriminator = None
        if event_log_type is not None:
            self.event_log_type = event_log_type
        if description is not None:
            self.description = description
        if updated_at is not None:
            self.updated_at = updated_at
        self.id = id
        if owner is not None:
            self.owner = owner
        if org_id is not None:
            self.org_id = org_id

    @property
    def event_log_type(self):
        """Gets the event_log_type of this EventLog.  # noqa: E501

        Severity type.  # noqa: E501

        :return: The event_log_type of this EventLog.  # noqa: E501
        :rtype: str
        """
        return self._event_log_type

    @event_log_type.setter
    def event_log_type(self, event_log_type):
        """Sets the event_log_type of this EventLog.

        Severity type.  # noqa: E501

        :param event_log_type: The event_log_type of this EventLog.  # noqa: E501
        :type: str
        """

        self._event_log_type = event_log_type

    @property
    def description(self):
        """Gets the description of this EventLog.  # noqa: E501

        User-friendly description of the event  # noqa: E501

        :return: The description of this EventLog.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this EventLog.

        User-friendly description of the event  # noqa: E501

        :param description: The description of this EventLog.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def updated_at(self):
        """Gets the updated_at of this EventLog.  # noqa: E501

        Date when the entity was last updated. The date is ISO 8601 and UTC.  # noqa: E501

        :return: The updated_at of this EventLog.  # noqa: E501
        :rtype: str
        """
        return self._updated_at

    @updated_at.setter
    def updated_at(self, updated_at):
        """Sets the updated_at of this EventLog.

        Date when the entity was last updated. The date is ISO 8601 and UTC.  # noqa: E501

        :param updated_at: The updated_at of this EventLog.  # noqa: E501
        :type: str
        """

        self._updated_at = updated_at

    @property
    def id(self):
        """Gets the id of this EventLog.  # noqa: E501

        The id of this resource instance  # noqa: E501

        :return: The id of this EventLog.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this EventLog.

        The id of this resource instance  # noqa: E501

        :param id: The id of this EventLog.  # noqa: E501
        :type: str
        """
        if id is None:
            raise ValueError("Invalid value for `id`, must not be `None`")  # noqa: E501

        self._id = id

    @property
    def owner(self):
        """Gets the owner of this EventLog.  # noqa: E501

        Email of the user or display name of the group that owns the entity.  # noqa: E501

        :return: The owner of this EventLog.  # noqa: E501
        :rtype: str
        """
        return self._owner

    @owner.setter
    def owner(self, owner):
        """Sets the owner of this EventLog.

        Email of the user or display name of the group that owns the entity.  # noqa: E501

        :param owner: The owner of this EventLog.  # noqa: E501
        :type: str
        """

        self._owner = owner

    @property
    def org_id(self):
        """Gets the org_id of this EventLog.  # noqa: E501

        The id of the organization this entity belongs to.  # noqa: E501

        :return: The org_id of this EventLog.  # noqa: E501
        :rtype: str
        """
        return self._org_id

    @org_id.setter
    def org_id(self, org_id):
        """Sets the org_id of this EventLog.

        The id of the organization this entity belongs to.  # noqa: E501

        :param org_id: The org_id of this EventLog.  # noqa: E501
        :type: str
        """

        self._org_id = org_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(EventLog, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, EventLog):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
